<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.59</b></p>
<ul class="maxwidth">';

try {
    $sql = "ALTER TABLE ".$prefix."_freqres ADD COLUMN code_activ VARCHAR(4) DEFAULT NULL";
    if (mysqli_query($bdd, $sql)) {
        echo '<li>Ajout de code_activ dans la table _freqres.</li>';
    }
} catch (mysqli_sql_exception $e) {
    // Cas fréquent : la colonne existe déjà
    if (strpos($e->getMessage(), 'Duplicate column name') !== false) {
        echo '<li>Ajout déjà fait de code_activ dans la table _freqres.</li>';
    } else {
        echo '<li>Erreur SQL : ' . $e->getMessage() . '</li>';
    }
}
// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.59' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.59.</li></ul>';